Skip to main content
GET
Get a workflow

Authorizations

x-api-key
string
header
required

Path Parameters

workflow_id
string<uuid>
required

Response

Successful Response

Full workflow detail — identity + active revision + reverse attachments ("which agent revisions use this workflow").

id
string<uuid>
required
organization_id
string<uuid>
required
name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
kind
string
default:assistant
active_revision_id
string<uuid> | null
active_revision
WorkflowRevisionResponse · object | null

Full revision response — the compile-poll target (WF-08).

Clients poll GET /workflows/revisions/{id} and read compilation_status

  • compilation_errors + compiled_graph to determine whether an async compile job is done. compilation_task_id is the Celery task handle the conductor uses to cancel an in-flight compile.
metadata
Metadata · object
attachments
WorkflowAttachmentResponse · object[]